<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HacknetNodesFormulas](./bitburner.hacknetnodesformulas.md) &gt; [constants](./bitburner.hacknetnodesformulas.constants.md)

## HacknetNodesFormulas.constants() method

All constants used by the game.

**Signature:**

```typescript
constants(): HacknetNodeConstants;
```
**Returns:**

[HacknetNodeConstants](./bitburner.hacknetnodeconstants.md)

An object with all hacknet node constants used by the game.

